| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Namespaces
lz4_module.hpp File Reference
Private

per block encryption using LZ4 algorithm/library More...

`#include "../my_config.h"`
`#include "compress_module.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

per block encryption using LZ4 algorithm/library

we use libfar cryptography infrastructure (tronconneuse/parallel_tronconneuse/crypto_module) because it makes sense for a per block compression (suitable for multithreading) by opposition to streamed compression per saved file. Each file will be compressed by segment, resulting in non optimum compression ratio but speed gain. the larger the block size is, the better closer the compression ratio will be to the optimum

Definition in file lz4_module.hpp.